/*
 * CONSOLE : Consoleプログラム：TTY関連ヘッダー
 * Copyright(C) 1997-1999 Eiichiro Ito, Yasuhiro Mizukoshi
 *
 * 1997/07/04:Eiichiro Ito
 *  (1) 作成開始
 * 修正履歴
 * 1998/02/15:Yasuhiro Mizukoshi
 *  (1) ESCシーケンス対応
 * 1998/02/19:Eiichiro Ito
 *  (1) 画面更新ロジック修正
 * 1998/02/20:Eiichiro Ito
 *  (1) 反転表示対応
 *
 */
void	tty_setwindow( DWORD x, DWORD y, DWORD w, DWORD h, DWORD charw, DWORD charh ) ;
BOOL	tty_init( void ) ;
void	tty_release( void ) ;
void	tty_cls( void ) ;
void	tty_invalidate( const RECT *pRect ) ;
void	tty_draw( HWND hWnd, HDC hDC ) ;
void	tty_addchar( HWND hWnd, HDC hDC, TCHAR c ) ;
void	tty_addstr( HWND hWnd, HDC hDC, LPCTSTR str ) ;
BOOL	IsSetMode( DWORD flag ) ;
void	vt100_addstr( HWND hWnd, HDC hDC, LPCTSTR str ) ;
void	tty_setcaret( void ) ;
DWORD	tty_getwh( void ) ;
DWORD	tty_getcur( void ) ;
void	tty_setcur( DWORD value ) ;
void	tty_cleareol( HWND hWnd, HDC hDC ) ;
void	tty_scroll_up( HWND hWnd, HDC hDC, DWORD from, DWORD to ) ;
void	tty_scroll_down( HWND hWnd, HDC hDC, DWORD from, DWORD to ) ;
BYTE	tty_getattr( void ) ;
void	tty_setattr( BYTE c ) ;
